# fn() tripletLibraryExtension
Performs a full or group-based consistency extension.

Defined in | <seqan/graph_msa.h>
Signature | `void tripletLibraryExtension(graph[, guideTree, minMembers]);`

## Parameters

`graph` | An AlignmentGraph.
`guideTree` | The guide tree to use.
`minMembers` | Minimum number of sequences per group. If a guide tree and a minimum number of members if given then the triplet extension is limited to groups of sequences.

## Detailed Description

The running time is quadratic in the number of pairwise edges.

## Data Races

If not stated otherwise, concurrent invocation is not guaranteed to be thread-safe.

#### Dox Sources

    /*!
     * @fn tripletLibraryExtension
     *
     * @headerfile <seqan/graph_msa.h>
     *
     * @brief Performs a full or group-based consistency extension.
     *
     * @signature void tripletLibraryExtension(graph[, guideTree, minMembers]);
     *
     * @param[in,out] graph An @link AlignmentGraph @endlink.
     * @param[in] guideTree The guide tree to use.
     * @param[in] minMembers Minimum number of sequences per group. If a guide tree
     *                       and a minimum number of members if given then the
     *                       triplet extension is limited to groups of sequences.
     *
     * The running time is quadratic in the number of pairwise edges.
     */